%define _name LSL2

Name: freesci-data-lsl2
Version: 1.0
Release: alt1
Summary: Leisure Suite Larry 2
Summary (ru_RU.UTF-8): Leisure Suite Larry 2
License: Non Free
Group: Games/Adventure
Source0: data.tar.gz
Source1: LSL2.SOL
Source2: PASSWORD.TXT
Source3: TIPS.TXT
Source4: README.html
NoSource: 0
Buildarch: noarch
Autoreq: 0
Requires: freesci

%description
Leisure Suite Larry 2 - Larry Goes Looking for Love (In Several Wrong Places) data files for FreeSCI.

%description -l ru_RU.UTF-8
Файлы данных Leisure Suite Larry 2 - Larry Goes Looking for Love (In Several Wrong Places) для FreeSCI.

%prep
%setup -q -n data
%build
%install
install -m755 -d $RPM_BUILD_ROOT%_usr/games/%_name
install -m644 * $RPM_BUILD_ROOT%_usr/games/%_name
install -m755 -d $RPM_BUILD_ROOT%_datadir/doc/%name-%version
install -m644 %SOURCE1 %SOURCE2 %SOURCE3 $RPM_BUILD_ROOT%_datadir/doc/%name-%version
# script
echo '#!/bin/sh
if  [ ! -f "$HOME/.freesci/config" ]; then
    mkdir -p "$HOME/.freesci" && touch "$HOME/.freesci/config"
fi

if [ "$(cat "$HOME/.freesci/config" | grep "\[%_name\]")" = "" ]; then
    echo -e "\n[%_name]\nresource_dir=/usr/games/%_name\n" >> "$HOME/.freesci/config"
fi

freesci %_name' > $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
chmod 755 $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%_usr/games/%_name/freesci.sh" needs="X11" \
section="Games/Adventure" title="Leisure Suite Larry 2" \
longtitle="The phone numbers: 5464 - black brassiere with a birthmark \
and a pectoral, 5968 - triangle pectoral, 3425 - birthmark, black \
brassiere, no jewelry, 2867 - rectangular pectoral, white combination, \
6262 - huge earings, white blouse, 6827 - round pectoral, 2737 - white \
combination, no jewelry" icon="freesci.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_usr/games/%_name
%_menudir/%name
%doc %_datadir/doc/%name-%version/*

%changelog
* Fri Nov 22 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- Sample freesci-data package
